@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-bug-tracker-information-panel
            [componentData]="componentData"
            (bugTrackerChanged)="handleBugTrackerKindChange($event)"
            (urlChanged)="handleUrlChanged($event)"
          >
          </sqtm-app-bug-tracker-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-protocol'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-protocol'"
          [nzHeader]="authProtocolTitle"
        >
          <ng-template #authProtocolTitle>
            <div
              [attr.data-test-element-id]="
                'authentication-protocol-panel-title'
              "
              class="entity-view-collapse-panel-title"
            >
              {{ 'sqtm-core.entity.server.auth-protocol.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-bug-tracker-authentication-protocol-panel
            [componentData]="componentData"
          >
          </sqtm-app-bug-tracker-authentication-protocol-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="
            !componentData.bugTracker.allowsReportingCache
          "
          [sqtmCoreAnchorPanel]="'authentication-policy'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-policy'"
          [nzHeader]="authPolicyTitle"
        >
          <ng-template #authPolicyTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-policy.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-bug-tracker-authentication-policy-panel
            [componentData]="componentData"
          >
          </sqtm-app-bug-tracker-authentication-policy-panel>
        </nz-collapse-panel>
      </nz-collapse>
      @if (componentData.bugTracker.allowsReportingCache) {
        <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
          <nz-collapse-panel
            sqtmCoreAnchorLastPanel
            [sqtmCoreAnchorPanel]="'reporting-cache'"
            [sqtmCoreAnchorCollapsePanel]="'reporting-cache'"
            [nzHeader]="reportingCacheTitle"
          >
            <ng-template #reportingCacheTitle>
              <div class="entity-view-collapse-panel-title m-r-10">
                {{
                  'sqtm-core.entity.bugtracker.cache-configuration.title'
                    | translate
                }}
              </div>
              <i
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.entity.bugtracker.cache-configuration.help'
                    | translate
                "
                class="current-workspace-button m-auto-0 table-icon-size"
              >
              </i>
            </ng-template>
            <sqtm-app-bug-tracker-reporting-cache-panel
              [componentData]="componentData"
            >
            </sqtm-app-bug-tracker-reporting-cache-panel>
          </nz-collapse-panel>
        </nz-collapse>
      }

      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
